> # NAME

> cgSetLastListing - set the current listing text

> # SYNOPSIS

>       #include <Cg/cg.h>

>       void cgSetLastListing( CGhandle handle,
>                              const char * listing );

> # PARAMETERS

> handle

>   A CGcontext, CGstateassignment, CGeffect, CGpass, or CGtechnique belonging to the context whose listing text is to be set.

> listing

>   The new listing text.

> # RETURN VALUES

> None.

> # DESCRIPTION

> Each Cg context maintains a NULL-terminated string containing warning and error messages generated by the Cg compiler, state managers and the like. cgSetLastListing allows applications and custom state managers to set the listing text.

> cgSetLastListing is not normally used directly by applications. Instead, custom state managers can use cgSetLastListing to provide detailed technique validation error messages to the application.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PARAMETER_ERROR is generated if handle is invalid.

> # HISTORY

> cgSetLastListing was introduced in Cg 1.4.

> # SEE ALSO

> cgGetLastListing, cgCreateContext, cgSetErrorHandler